# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`base_dsc_lite`](#base_dsc_lite): The base Puppet DSC type that all of the types inherit from. Do not use this directly.
* [`dsc`](#dsc): The `dsc` type allows specifying any DSC Resource declaration as a minimal Puppet declaration.

## Resource types

### <a name="base_dsc_lite"></a>`base_dsc_lite`

The base Puppet DSC type that all of the types inherit from.
Do not use this directly.

#### Parameters

The following parameters are available in the `base_dsc_lite` type.

* [`name`](#name)
* [`provider`](#provider)

##### <a name="name"></a>`name`

namevar

A name to describe your resource, used for uniqueness.

##### <a name="provider"></a>`provider`

The specific backend to use for this `base_dsc_lite` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

### <a name="dsc"></a>`dsc`

The `dsc` type allows specifying any DSC Resource declaration as a minimal Puppet declaration.

#### Examples

##### 

```puppet
dsc {'iis':
  resource_name => 'WindowsFeature',
  module        => 'PSDesiredStateConfiguration',
  properties    => {
    ensure => 'present',
    name   => 'Web-Server',
  }
}
```

#### Properties

The following properties are available in the `dsc` type.

##### `ensure`

Valid values: `present`

An optional property that specifies that the DSC resource should be invoked.

#### Parameters

The following parameters are available in the `dsc` type.

* [`module`](#module)
* [`name`](#name)
* [`properties`](#properties)
* [`provider`](#provider)
* [`resource_name`](#resource_name)

##### <a name="module"></a>`module`

Name of the DSC Resource module to use. For example, the xPSDesiredStateConfiguration DSC Resource module contains
the xRemoteFile DSC Resource.

##### <a name="name"></a>`name`

namevar

Name of the declaration. This has no affect on the DSC Resource declaration and is not used by the DSC Resource.

##### <a name="properties"></a>`properties`

Hash of properties to pass to the DSC Resource.

To express EmbeddedInstances, the `properties` parameter recognizes any key with a hash value that contains two keys —
`dsc_type`
and `dsc_properties` — as a indication of how to format the data supplied. The `dsc_type` contains the CimInstance name
to use,
and the `dsc_properties` contains a hash or an array of hashes representing the data for the CimInstances. If the
CimInstance is
an array, we append a `[]` to the end of the name.

##### <a name="provider"></a>`provider`

The specific backend to use for this `dsc` resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.

##### <a name="resource_name"></a>`resource_name`

Name of the DSC Resource to use. For example, the xRemoteFile DSC Resource.

